>From 9cf36d91d822c9e5ac1e6c6aaa39b70405baf4db Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Tue, 9 Feb 2010 14:01:46 +0100
Subject: [PATCH] media_dirs: cleanup and improve display of still pictures

This patch ensures still images are displayed both :
 - as art (thumbnails available with new qt4 playlist design)
 - as video (important for interfaces not using art)
---
 modules/services_discovery/mediadirs.c |   29 ++++++-----------------------
 1 files changed, 6 insertions(+), 23 deletions(-)

diff --git a/modules/services_discovery/mediadirs.c b/modules/services_discovery/mediadirs.c
index 946a17e..230efaf 100644
--- a/modules/services_discovery/mediadirs.c
+++ b/modules/services_discovery/mediadirs.c
@@ -190,12 +190,7 @@ static void *Run( void *data )
             !S_ISDIR( st.st_mode ) )
             continue;
 
-        // TODO:  make_URI is only for file://, what about dir:// ?
-        // char* psz_uri = make_URI( psz_dir );
-        char* psz_uri;
-        if( asprintf( &psz_uri, "dir://%s",  psz_dir ) == -1 )
-            continue;
-
+        char* psz_uri = make_URI( psz_dir );
         input_item_t* p_root = input_item_New( p_sd, psz_uri, NULL );
         if( p_sys->i_type == Picture )
             input_item_AddOption( p_root, "ignore-filetypes=ini,db,lnk,txt",
@@ -306,25 +301,13 @@ void formatSnapshotItem( input_item_t *p_item )
     if( !p_item->p_meta )
         p_item->p_meta = vlc_meta_New();
 
-    /* copy the snapshot mrl as a ArtURL */
-    if( p_item->p_meta )
-    {
-        char* psz_uri = NULL;
-        psz_uri = input_item_GetURI( p_item );
-        if( psz_uri )
-            input_item_SetArtURL( p_item, psz_uri );
-        free( psz_uri );
-    }
+    char* psz_uri = input_item_GetURI( p_item );
 
-    /**
-     * TODO: select the best mrl for displaying snapshots
-     *   - vlc://pause:10  => snapshot are displayed as Art
-     *   - file:///path/image.ext  => snapshot are displayed as videos
-     **/
-    input_item_SetURI( p_item, "vlc://pause:10" );
+    /* use the image as Art for display as thumbnail */
+    if( psz_uri )
+        input_item_SetArtURL( p_item, psz_uri );
 
-    // input_item_AddOption( p_item, "fake-duration=10000",
-    //                       VLC_INPUT_OPTION_TRUSTED );
+    free( psz_uri );
 }
 
 
-- 
1.5.6.5

